Bug 12728 - Error handling in rpc_try_lookup_sids3
Error handling in rpc_try_lookup_sids3
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Winbind
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-03-31 06:33 UTC by Ralph Böhme
Modified: 2017-04-21 06:56 UTC (History)
2 users (show)

See Also:


Attachments
Patch for 4.5 and 4.6 cherry-picked from master (5.49 KB, patch)
2017-04-10 17:46 UTC, Ralph Böhme
jra: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ralph Böhme 2017-03-31 06:33:00 UTC
rpc_try_lookup_sids3() must not treat status codes NT_STATUS_NONE_MAPPED and NT_STATUS_SOME_NOT_MAPPED as fatal errors. Otherwise any lookupsids RPC where one of the SIDs could not be resolved results in a fatal error.

Have patch, need bugnumber.
Comment 1 Ralph Böhme 2017-04-10 17:46:06 UTC
Created attachment 13148 [details]
Patch for 4.5 and 4.6 cherry-picked from master
Comment 2 Jeremy Allison 2017-04-10 21:02:04 UTC
Comment on attachment 13148 [details]
Patch for 4.5 and 4.6 cherry-picked from master

LGTM.
Comment 3 Jeremy Allison 2017-04-10 21:03:13 UTC
Re-assigning to Karolin for inclusion in 4.6.next, 4.5.next.
Comment 4 Karolin Seeger 2017-04-19 09:27:47 UTC
(In reply to Jeremy Allison from comment #3)
Pushed to autobuild-v4-{6,5}-test.
Comment 5 Karolin Seeger 2017-04-21 06:56:27 UTC
(In reply to Karolin Seeger from comment #4)
Pushed to both branches.
Closing out bug report.

Thanks!